@echo off
setlocal

echo Searching for OPL Studio...
where oplide 1>nul 2>nul
if %ErrorLevel%==1 (
	echo OPL Studio not found ! Cancelling installation.
	pause
	exit /b 1
)
for /f %%i in ('where oplide') do set pathopl=%%i
echo Found at : %pathopl%
for /f "delims=" %%i in ("%pathopl%") do set pathopl=%%~di%%~pi


echo Copying files to %pathopl%...
for /f "delims=" %%i in ('dir /b/s /a-d') do (
	if %~dpnx0 NEQ %%i copy /b "%%i" +,, "%%i" 1>nul 2>nul
)

robocopy %cd%\plugins\ %pathopl%\plugins\ /e 1>nul 2>nul
if %ErrorLevel%==1 (
	echo Error during file copy : plugin. Aborting installation.
	pause
	exit /b 1
)

robocopy %cd%\features\ %pathopl%\features\ /e 1>nul 2>nul
if %ErrorLevel%==1 (
	echo Error during file copy : feature. Aborting installation.
	pause
	exit /b 1
)


endlocal
echo Caseine plugin for OPL Studio successfully installed !
pause
exit /b 0
